QGIS Application - Bug report #5837
No renderer for palettedSingleBandGray
2012-06-21 07:36 AM - Marco Hugentobler

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category:

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15310
Description

In the new raster symbology, there is no renderer to replace the old QgsRasterLayer::drawPalettedSingleBandGray() method.

From the mailing list:

There is a sample of this data at:

http://www.ordnancesurvey.co.uk/docs/sample-data/10k-raster-colour-sample-data.zip

If you turn this grayscale in 1.9 it just turns grey (rgb 127,127,127)
all over. In 1.8 if you choose grayscale it displays it with the rgb
values displayed below.

So | created a colormap if anyone is interested. | took the values from
what QGIS 1.8 did automatically to turn the data grayscale.

Value-r,g,b

0 = 255,255,255
1=0,0,0

2 = 226,226,226
3=150,150,150
4=218,218,218
5=232,232,232
6 = 232,232,232
7 = 230,230,230
8 = 249,249,249
9 =252,252,252

| have created a gml file if anyone would like it you can download it
from here:

https://docs.google.com/open?id=0B6r5SnAOdJEBZrRFpjVIBLZm1BSKE

This was quite easy as there were only 10 values defined in the data.

The OS 25000 and 50000 rasters have 255 different colours in them.

Associated revisions

Revision 3d02fbed - 2013-03-26 10:09 AM - Nyall Dawson
http://www.ordnancesurvey.co.uk/docs/sample-data/10k-raster-colour-sample-data.zip
https://docs.google.com/open?id=0B6r5nAOdEBZrRFpjVlBLZm1BSkE

[FEATURE] Option to convert a raster to grayscale with choice of desaturation mode (lightness, luminosity, average) (fix #5837)

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2013-03-27 10:01 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"3d02fbedea870b1b43ee7b9b10a3690ac8cda082".
